Update publish-to-SourceForge scripts to automatically determine if the
branch is the head (development) branch or a maintenance brach, and use
the appropriate target directory for each.
diff --git a/Doc/tools/push-docs.sh b/Doc/tools/push-docs.sh
index c227bcf..27366b3 100755
--- a/Doc/tools/push-docs.sh
+++ b/Doc/tools/push-docs.sh
@@ -7,6 +7,16 @@
 
 ADDRESSES='python-dev@python.org doc-sig@python.org python-list@python.org'
 
+VERSION=`echo '$Revision$' | sed 's/[$]Revision: \(.*\) [$]/\1/'`
+EXTRA=`echo "$VERSION" | sed 's/^[0-9][0-9]*\.[0-9][0-9]*//'`
+if [ "$EXTRA" ] ; then
+    DOCLABEL="maintenance"
+    DOCTYPE="maint"
+else
+    DOCLABEL="development"
+    DOCTYPE="devel"
+fi
+
 EXPLANATION=''
 
 if [ "$1" = '-m' ] ; then
@@ -30,12 +40,12 @@
 RELEASE=`grep '^RELEASE=' Makefile | sed 's|RELEASE=||'`
 PACKAGE="html-$RELEASE.tar.bz2"
 scp "$PACKAGE" tools/update-docs.sh $TARGET/ || exit $?
-ssh python.sourceforge.net tmp/update-docs.sh $PACKAGE '&&' rm tmp/update-docs.sh || exit $?
+ssh python.sourceforge.net tmp/update-docs.sh $DOCTYPE $PACKAGE '&&' rm tmp/update-docs.sh || exit $?
 
-Mail -s '[development doc updates]' $ADDRESSES <<EOF
+Mail -s "[$DOCLABEL doc updates]" $ADDRESSES <<EOF
 The development version of the documentation has been updated:
 
-	http://python.sourceforge.net/devel-docs/
+	http://python.sourceforge.net/$DOCTYPE-docs/
 
 $EXPLANATION
 EOF